NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.FaceBlendBuilder Class Reference

Represents a face blend builder. More...

Inheritance diagram for NXOpen.Features.FaceBlendBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  CrossSectionOption {
  Circular, Conic, ConicSymmetric, CurvatureSymmetric,
  CurvatureAsymmetric
}
 This enum represents the Cross section types More...
 
enum  DefiningType { BlendTwoFace, BlendThreeFace, BlendFromEdges }
 This enum represents the Face Blend defining type, it is added in NX75 for new three face blend More...
 
enum  OverflowMethod { None, Notch }
 This enum represents the overflow options More...
 
enum  RhoMethod { Absolute, Relative }
 This enum represents the rho types More...
 
enum  TrimmingMethod { ToAllFaces, Short, Long, None }
 This enum represents the Trimming options for Face Blend More...
 
enum  Type { RollingBall, Swept }
 This enum represents the Face Blend types More...
 
enum  WidthMethod { NaturallyVarying, ForcedConstant, TwoConstraintCurves }
 This enum represents the Face Blend width method, it is added in NX10 for two face blend More...
 

Public Member Functions

unsafe void GetLimitPlanes (out NXOpen.Plane startLimitPlane, out NXOpen.Plane endLimitPlane)
 This function is to get limit planes for a face blend feature. More...
 
unsafe void SetLimitPlanes (NXOpen.Plane startLimitPlane, NXOpen.Plane endLimitPlane)
 This function is to set limit planes for a face blend feature. More...
 
unsafe void UpdateConstantLawProfiles ()
 Updates all the constant law parms in the builder using builder section. More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe bool AddTangentFaces [get, set]
 Returns or sets the option for Add Tangent Faces As Encountered More...
 
unsafe
NXOpen.Features.FaceBlendBuilder.Type 
BlendType [get, set]
 Returns or sets the type for face blend More...
 
unsafe
NXOpen.Features.FaceBlendBuilder.WidthMethod 
BlendWidthMethod [get, set]
 Returns or sets the width method for face blend More...
 
unsafe
NXOpen.GeometricUtilities.CircularCrossSection 
CircularCrossSection [get]
 Returns the face blend circular section More...
 
unsafe bool CliffProjectOntoSecondWall [get, set]
 Returns or sets the cliff projection option for face blend More...
 
unsafe NXOpen.ScCollector CoincidentEdgeCollector [get, set]
 Returns or sets the cliff edge collector for face blend More...
 
unsafe
NXOpen.GeometricUtilities.ConicCrossSection 
ConicCrossSection [get]
 Returns the face blend conic section More...
 
unsafe
NXOpen.Features.FaceBlendBuilder.CrossSectionOption 
CrossSectionType [get, set]
 Returns or sets the cross section for face blend More...
 
unsafe NXOpen.ScCollector EdgeChainCollector [get, set]
 Returns or sets the edge chain collector More...
 
unsafe bool EndCapLimitPlaneOption [get, set]
 Returns or sets the end limit plane capping option More...
 
unsafe bool EndLimitFaceNormalFlag [get, set]
 Returns or sets the end limiting face normal flag More...
 
unsafe NXOpen.ScCollector EndLimitFacesetCollector [get, set]
 Returns or sets the end limit faceset collector More...
 
unsafe NXOpen.Point EndLimitPoint [get, set]
 Returns or sets the end limit point More...
 
unsafe
NXOpen.Features.FaceBlendBuilder.DefiningType 
FaceBlendDefineType [get, set]
 Returns or sets the face blend defining type get More...
 
unsafe NXOpen.ScCollector FirstFaceCollector [get, set]
 Returns or sets the first face collector More...
 
unsafe NXOpen.Point HelpPoint [get, set]
 Returns or sets the face blend help point More...
 
unsafe bool IsIsoparameterLineOriented [get, set]
 Returns or sets the option for Orient Cross Section By Isoparameter Lines for Swept section type only More...
 
unsafe
NXOpen.GeometricUtilities.BlendLimitsData 
LimitsListData [get]
 Returns the trim object collector list More...
 
unsafe NXOpen.ScCollector MiddleFaceCollector [get, set]
 Returns or sets the middle face collector get More...
 
unsafe bool MiddleFaceNormFlag [get, set]
 Returns or sets the middle face set normal reversal flag More...
 
unsafe
NXOpen.Features.FaceBlendBuilder.OverflowMethod 
OverflowOption [get, set]
 Returns or sets the overflow option for face blend More...
 
unsafe bool ProjectToSecondWall [get, set]
 Returns or sets the projection option for face blend More...
 
unsafe bool PropagatePastSharpEdges [get, set]
 Returns or sets the propagate past the sharp edges option for face blend More...
 
unsafe double PropagationAngle [get, set]
 Returns or sets the propagation angle for face blend More...
 
unsafe bool RemoveSelfIntersections [get, set]
 Returns or sets the self-intersections option for face blend More...
 
unsafe bool ReverseFirstFaceNormal [get, set]
 Returns or sets the first face set normal reversal flag More...
 
unsafe bool ReverseSecondFaceNormal [get, set]
 Returns or sets the second face set normal reversal flag More...
 
unsafe bool ReverseThirdFaceNormal [get, set]
 Returns or sets the third face set normal reversal flag More...
 
unsafe
NXOpen.Features.FaceBlendBuilder.RhoMethod 
RhoType [get, set]
 Returns or sets the rho type for face blend More...
 
unsafe NXOpen.ScCollector SecondFaceCollector [get, set]
 Returns or sets the second face collector More...
 
unsafe bool SewAllFaces [get, set]
 Returns or sets the sew option for face blend More...
 
unsafe NXOpen.Section Spine [get, set]
 Returns or sets the spine for face blend More...
 
unsafe bool StartCapLimitPlaneOption [get, set]
 Returns or sets the start limit plane capping option More...
 
unsafe bool StartLimitFaceNormalFlag [get, set]
 Returns or sets the start limiting face normal flag More...
 
unsafe NXOpen.ScCollector StartLimitFacesetCollector [get, set]
 Returns or sets the start limit faceset collector More...
 
unsafe NXOpen.Point StartLimitPoint [get, set]
 Returns or sets the start limit point More...
 
unsafe NXOpen.ScCollector TangencyCollector [get, set]
 Returns or sets the tangency collector of edges or/and curves for face blend More...
 
unsafe NXOpen.ISurface TangentSurface [get, set]
 Returns or sets the tangency object for face blend. More...
 
unsafe double ThirdFaceEndParameter [get, set]
 Returns or sets the end paramater or 'to' range for the third face with a three-face blend More...
 
unsafe double ThirdFaceStartParameter [get, set]
 Returns or sets the start parameter or 'from' range for the third face with a three-face blend More...
 
unsafe double Tolerance [get, set]
 Returns or sets the tolerance for face blend More...
 
unsafe bool TrimInputFacesToBlendFaces [get, set]
 Returns or sets the option for Trim Input Faces to Blend Faces More...
 
unsafe bool TrimLongInputFacesToExtendedRail [get, set]
 Returns or sets the option for Trim Long Input Faces to Extended Rail More...
 
unsafe
NXOpen.Features.FaceBlendBuilder.TrimmingMethod 
TrimmingOption [get, set]
 Returns or sets the trimming option for face blend More...
 
unsafe bool UseLimitsListFlag [get, set]
 Returns or sets the trimming option that if it is using limits list to do trim or not More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
unsafe bool PatchSolutionFlag [get, set]
 Returns or sets the patch solution flag More...
 
unsafe string PatchSurfaceFilename [get, set]
 Returns or sets the patch surface filename More...
 
unsafe string SurroundingPatchSurfaceFilename [get, set]
 Returns or sets the surrounding patch surface filename More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a face blend builder.

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateFaceBlendBuilder

Default values.

Property Value

CircularCrossSection.LawControl.Function

ft

CircularCrossSection.LawControl.LawType

Constant

CircularCrossSection.LawControl.Parameter

t

Created in NX4.0.0

Member Enumeration Documentation

This enum represents the Cross section types

Enumerator
Circular 
Conic 

this means tangent continuous asymmetric conic type

ConicSymmetric 

this means tangent continuous symmetric conic type

CurvatureSymmetric 

this means curvature continuous symmetric conic type

CurvatureAsymmetric 

this means curvature continuous asymmetric conic type

This enum represents the Face Blend defining type, it is added in NX75 for new three face blend

Enumerator
BlendTwoFace 

this is for normal two face blend

BlendThreeFace 

this is form new three face blend

BlendFromEdges 

This enum represents the overflow options

Enumerator
None 

No overflow option

Notch 

Notch or Maintain Blend And Move Sharp Edges option

This enum represents the rho types

Enumerator
Absolute 

Absolute (NX) rho type

Relative 

Relative (I-deas) rho type

This enum represents the Trimming options for Face Blend

Enumerator
ToAllFaces 

Trim to all faces

Short 

Trim short

Long 

Trim long

None 

No trim

This enum represents the Face Blend types

Enumerator
RollingBall 
Swept 

This enum represents the Face Blend width method, it is added in NX10 for two face blend

Enumerator
NaturallyVarying 

Naturally Varying

ForcedConstant 

Forced Constant

TwoConstraintCurves 

Two Constraint Curves

Member Function Documentation

unsafe void NXOpen.Features.FaceBlendBuilder.GetLimitPlanes ( out NXOpen.Plane  startLimitPlane,
out NXOpen.Plane  endLimitPlane 
)
inline

This function is to get limit planes for a face blend feature.

Created in NX4.0.0

License requirements: None.

Parameters
startLimitPlaneStart limit plane
endLimitPlaneEnd limit plane
unsafe void NXOpen.Features.FaceBlendBuilder.SetLimitPlanes ( NXOpen.Plane  startLimitPlane,
NXOpen.Plane  endLimitPlane 
)
inline

This function is to set limit planes for a face blend feature.

Created in NX4.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
startLimitPlaneStart limit plane
endLimitPlaneEnd limit plane
unsafe void NXOpen.Features.FaceBlendBuilder.UpdateConstantLawProfiles ( )
inline

Updates all the constant law parms in the builder using builder section.

This call must be made every time the section is updated.

Created in NX5.0.1

License requirements: solid_modeling ("SOLIDS MODELING")

Property Documentation

unsafe bool NXOpen.Features.FaceBlendBuilder.AddTangentFaces
getset

Returns or sets the option for Add Tangent Faces As Encountered

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Features.FaceBlendBuilder.Type NXOpen.Features.FaceBlendBuilder.BlendType
getset

Returns or sets the type for face blend

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Features.FaceBlendBuilder.WidthMethod NXOpen.Features.FaceBlendBuilder.BlendWidthMethod
getset

Returns or sets the width method for face blend

Created in NX10.0.0

License requirements to get this property: solid_modeling ("SOLIDS MODELING")

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.GeometricUtilities.CircularCrossSection NXOpen.Features.FaceBlendBuilder.CircularCrossSection
get

Returns the face blend circular section

Created in NX4.0.0

License requirements: None.

unsafe bool NXOpen.Features.FaceBlendBuilder.CliffProjectOntoSecondWall
getset

Returns or sets the cliff projection option for face blend

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.ScCollector NXOpen.Features.FaceBlendBuilder.CoincidentEdgeCollector
getset

Returns or sets the cliff edge collector for face blend

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.GeometricUtilities.ConicCrossSection NXOpen.Features.FaceBlendBuilder.ConicCrossSection
get

Returns the face blend conic section

Created in NX4.0.0

License requirements: None.

unsafe NXOpen.Features.FaceBlendBuilder.CrossSectionOption NXOpen.Features.FaceBlendBuilder.CrossSectionType
getset

Returns or sets the cross section for face blend

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.ScCollector NXOpen.Features.FaceBlendBuilder.EdgeChainCollector
getset

Returns or sets the edge chain collector

Created in NX11.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.FaceBlendBuilder.EndCapLimitPlaneOption
getset

Returns or sets the end limit plane capping option

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.FaceBlendBuilder.EndLimitFaceNormalFlag
getset

Returns or sets the end limiting face normal flag

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.ScCollector NXOpen.Features.FaceBlendBuilder.EndLimitFacesetCollector
getset

Returns or sets the end limit faceset collector

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Point NXOpen.Features.FaceBlendBuilder.EndLimitPoint
getset

Returns or sets the end limit point

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Features.FaceBlendBuilder.DefiningType NXOpen.Features.FaceBlendBuilder.FaceBlendDefineType
getset

Returns or sets the face blend defining type get

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.ScCollector NXOpen.Features.FaceBlendBuilder.FirstFaceCollector
getset

Returns or sets the first face collector

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Point NXOpen.Features.FaceBlendBuilder.HelpPoint
getset

Returns or sets the face blend help point

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.FaceBlendBuilder.IsIsoparameterLineOriented
getset

Returns or sets the option for Orient Cross Section By Isoparameter Lines for Swept section type only

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.GeometricUtilities.BlendLimitsData NXOpen.Features.FaceBlendBuilder.LimitsListData
get

Returns the trim object collector list

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Features.FaceBlendBuilder.MiddleFaceCollector
getset

Returns or sets the middle face collector get

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.FaceBlendBuilder.MiddleFaceNormFlag
getset

Returns or sets the middle face set normal reversal flag

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Features.FaceBlendBuilder.OverflowMethod NXOpen.Features.FaceBlendBuilder.OverflowOption
getset

Returns or sets the overflow option for face blend

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.FaceBlendBuilder.ProjectToSecondWall
getset

Returns or sets the projection option for face blend

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.FaceBlendBuilder.PropagatePastSharpEdges
getset

Returns or sets the propagate past the sharp edges option for face blend

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Features.FaceBlendBuilder.PropagationAngle
getset

Returns or sets the propagation angle for face blend

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.FaceBlendBuilder.RemoveSelfIntersections
getset

Returns or sets the self-intersections option for face blend

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.FaceBlendBuilder.ReverseFirstFaceNormal
getset

Returns or sets the first face set normal reversal flag

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Features.FaceBlendBuilder.ReverseSecondFaceNormal
getset

Returns or sets the second face set normal reversal flag

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe bool NXOpen.Features.FaceBlendBuilder.ReverseThirdFaceNormal
getset

Returns or sets the third face set normal reversal flag

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Features.FaceBlendBuilder.RhoMethod NXOpen.Features.FaceBlendBuilder.RhoType
getset

Returns or sets the rho type for face blend

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.ScCollector NXOpen.Features.FaceBlendBuilder.SecondFaceCollector
getset

Returns or sets the second face collector

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.FaceBlendBuilder.SewAllFaces
getset

Returns or sets the sew option for face blend

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Section NXOpen.Features.FaceBlendBuilder.Spine
getset

Returns or sets the spine for face blend

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.FaceBlendBuilder.StartCapLimitPlaneOption
getset

Returns or sets the start limit plane capping option

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.FaceBlendBuilder.StartLimitFaceNormalFlag
getset

Returns or sets the start limiting face normal flag

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.ScCollector NXOpen.Features.FaceBlendBuilder.StartLimitFacesetCollector
getset

Returns or sets the start limit faceset collector

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Point NXOpen.Features.FaceBlendBuilder.StartLimitPoint
getset

Returns or sets the start limit point

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.ScCollector NXOpen.Features.FaceBlendBuilder.TangencyCollector
getset

Returns or sets the tangency collector of edges or/and curves for face blend

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.ISurface NXOpen.Features.FaceBlendBuilder.TangentSurface
getset

Returns or sets the tangency object for face blend.

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Features.FaceBlendBuilder.ThirdFaceEndParameter
getset

Returns or sets the end paramater or 'to' range for the third face with a three-face blend

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Features.FaceBlendBuilder.ThirdFaceStartParameter
getset

Returns or sets the start parameter or 'from' range for the third face with a three-face blend

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Features.FaceBlendBuilder.Tolerance
getset

Returns or sets the tolerance for face blend

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.FaceBlendBuilder.TrimInputFacesToBlendFaces
getset

Returns or sets the option for Trim Input Faces to Blend Faces

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.FaceBlendBuilder.TrimLongInputFacesToExtendedRail
getset

Returns or sets the option for Trim Long Input Faces to Extended Rail

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Features.FaceBlendBuilder.TrimmingMethod NXOpen.Features.FaceBlendBuilder.TrimmingOption
getset

Returns or sets the trimming option for face blend

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.FaceBlendBuilder.UseLimitsListFlag
getset

Returns or sets the trimming option that if it is using limits list to do trim or not

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.